﻿--[[
bossnames.en.lua
This file gives the localised names of bosses needed in loot descriptions,
especially on tables from many locations where we need to indicate where the
loot came from.
]]
if (GetLocale() == 	"zhTW") then
local BabbleBoss = AceLibrary("Babble-Boss-2.2");
local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

AtlasLootBossNames = {
	
	AuchManaTombs = {
		BabbleBoss["Nexus-Prince Shaffar"].." ("..BabbleZone["Mana-Tombs"]..")";
	};

	AuchAuchenaiCrypts = {
		BabbleBoss["Exarch Maladaar"].." ("..BabbleZone["Auchenai Crypts"]..")";
		AL["Avatar of the Martyred"].." ("..BabbleZone["Auchenai Crypts"]..")";
	};

	AuchSethekkHalls = {
		BabbleBoss["Talon King Ikiss"].." ("..BabbleZone["Sethekk Halls"]..")";
	};

	AuchShadowLabyrinth = {
		BabbleBoss["Blackheart the Inciter"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Grandmaster Vorpil"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Murmur"].." ("..BabbleZone["Shadow Labyrinth"]..")";
	};
	
	BlackrockSpireLower = {
		BabbleBoss["Highlord Omokk"].." (黑下)";
		BabbleBoss["Shadow Hunter Vosh'gajin"].." (黑下)";
		BabbleBoss["War Master Voone"].." (黑下)";
		BabbleBoss["Mor Grayhoof"].." (黑下)";
		BabbleBoss["Mother Smolderweb"].." (黑下)";
		BabbleBoss["Gizrul the Slavener"].." (黑下)";
		BabbleBoss["Overlord Wyrmthalak"].." (黑下)";
		AL["Trash Mobs"].." (黑石塔)";
	};

	BlackrockSpireUpper = {
		BabbleBoss["Pyroguard Emberseer"].." (黑上)";
		BabbleBoss["Solakar Flamewreath"].." (黑上)";
		BabbleBoss["Warchief Rend Blackhand"].." (黑上)";
		BabbleBoss["Gyth"].." (黑上)";
		BabbleBoss["The Beast"].." (黑上)";
		BabbleBoss["General Drakkisath"].." (黑上)";
	};

	BlackTemple = {
		BabbleBoss["Mother Shahraz"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidari Council"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidan Stormrage"].." ("..BabbleZone["Black Temple"]..")";
	};

	BlackwingLair = {
		BabbleBoss["Razorgore the Untamed"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Vaelastrasz the Corrupt"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Broodlord Lashlayer"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Firemaw"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Ebonroc"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Flamegor"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Chromaggus"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Nefarian"].." ("..BabbleZone["Blackwing Lair"]..")";
	};

	CFRTheSlavePens = {
		BabbleBoss["Quagmirran"].." ("..BabbleZone["The Slave Pens"]..")";
	};

	CFRTheUnderbog = {
		BabbleBoss["The Black Stalker"].." ("..BabbleZone["The Underbog"]..")";
	};

	CFRTheSteamvault = {
		BabbleBoss["Hydromancer Thespia"].." ("..BabbleZone["The Steamvault"]..")";
		BabbleBoss["Warlord Kalithresh"].." ("..BabbleZone["The Steamvault"]..")";
	};

	CFRSerpentshrineCavern = {
		BabbleBoss["Leotheras the Blind"].." (Serpentshrine)";
		BabbleBoss["Fathom-Lord Karathress"].." (Serpentshrine)";
		BabbleBoss["Lady Vashj"].." (Serpentshrine)";
	};

	Common = {
		AL["Trash Mobs"];
	};

	CoTOldHillsbradFoothills = {
		BabbleBoss["Epoch Hunter"].." (時光之穴1)";
	};

	CoTTheBlackMorass = {
		BabbleBoss["Aeonus"].." (時光之穴2)";
	};

	CoTMountHyjal = {
		BabbleBoss["Azgalor"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Archimonde"].." ("..BabbleZone["Hyjal Summit"]..")";
	};

	GruulsLair = {
		BabbleBoss["High King Maulgar"].." ("..BabbleZone["Gruul's Lair"]..")";
		BabbleBoss["Gruul the Dragonkiller"].." ("..BabbleZone["Gruul's Lair"]..")";
	};

	HCRamparts = {
		BabbleBoss["Omor the Unscarred"].." ("..BabbleZone["Hellfire Ramparts"]..")";
	};

	HCBloodFurnace = {
		BabbleBoss["Keli'dan the Breaker"].." ("..BabbleZone["The Blood Furnace"]..")";
	};

	HCShatteredHalls = {
		BabbleBoss["Warbringer O'mrogg"].." ("..BabbleZone["The Shattered Halls"]..")";
		BabbleBoss["Warchief Kargath Bladefist"].." ("..BabbleZone["The Shattered Halls"]..")";
	};

	SunwellPlateau = {
		BabbleBoss["Kalecgos"].." ("..BabbleZone["Sunwell Plateau"]..")";
		BabbleBoss["Brutallus"].." ("..BabbleZone["Sunwell Plateau"]..")";
		BabbleBoss["Felmyst"].." ("..BabbleZone["Sunwell Plateau"]..")";
	};

	Karazhan = {
		BabbleBoss["The Curator"].." ("..BabbleZone["Karazhan"]..")";
		BabbleBoss["Prince Malchezaar"].." ("..BabbleZone["Karazhan"]..")";
	};

	MagtheridonsLair = {
		BabbleBoss["Magtheridon"].." ("..BabbleZone["Magtheridon's Lair"]..")";
	};

	MoltenCore = {
		BabbleBoss["Lucifron"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Magmadar"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Gehennas"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Garr"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Shazzrah"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Baron Geddon"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Golemagg the Incinerator"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Sulfuron Harbinger"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Ragnaros"].." ("..BabbleZone["Molten Core"]..")";
	};

	Naxxramas = {
		BabbleBoss["Patchwerk"];
		BabbleBoss["Grobbulus"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Gluth"];
		BabbleBoss["Thaddius"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Anub'Rekhan"];
		BabbleBoss["Grand Widow Faerlina"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Maexxna"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Instructor Razuvious"];
		BabbleBoss["Gothik the Harvester"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["The Four Horsemen"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Noth the Plaguebringer"];
		BabbleBoss["Heigan the Unclean"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Loatheb"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Sapphiron"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Kel'Thuzad"].." ("..BabbleZone["Naxxramas"]..")";
	};

	OnyxiasLair = {
		BabbleBoss["Onyxia"].." ("..BabbleZone["Onyxia's Lair"]..")";
	};

	Scholomance = {
		BabbleBoss["Kirtonos the Herald"].." (通靈)";
		BabbleBoss["Jandice Barov"].." (通靈)";
		BabbleBoss["Rattlegore"].." (通靈)";
		BabbleBoss["Ras Frostwhisper"].." (通靈)";
		BabbleBoss["Instructor Malicia"].." (通靈)";
		BabbleBoss["Doctor Theolen Krastinov"].." (通靈)";
		BabbleBoss["Lorekeeper Polkelt"].." (通靈)";
		BabbleBoss["The Ravenian"].." (通靈)";
		BabbleBoss["Lord Alexei Barov"].." (通靈)";
		BabbleBoss["Darkmaster Gandling"].." (通靈)";
		AL["Trash Mobs"].." (通靈)";
   };
	Stratholme = {
		BabbleBoss["Hearthsinger Forresten"].." (斯坦)";
		BabbleBoss["The Unforgiven"].." (斯坦)";
		BabbleBoss["Timmy the Cruel"].." (斯坦)";
		BabbleBoss["Cannon Master Willey"].." (斯坦)";
		BabbleBoss["Archivist Galford"].." (斯坦)";
		BabbleBoss["Balnazzar"].." (斯坦)";
		BabbleBoss["Baroness Anastari"].." (斯坦)";
		BabbleBoss["Nerub'enkan"].." (斯坦)";
		BabbleBoss["Maleki the Pallid"].." (斯坦)";
		BabbleBoss["Magistrate Barthilas"].." (斯坦)";
		BabbleBoss["Ramstein the Gorger"].." (斯坦)";
		BabbleBoss["Baron Rivendare"].." (斯坦)";
		AL["Trash Mobs"].." (斯坦)";
    };

	TKMechanar = {
		BabbleBoss["Pathaleon the Calculator"].." ("..BabbleZone["The Mechanar"]..")";
	};

	TKTheBotanica = {
		BabbleBoss["Laj"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["Warp Splinter"].." ("..BabbleZone["The Botanica"]..")";
	};

	TKTheArcatraz = {
		BabbleBoss["Harbinger Skyriss"].." ("..BabbleZone["The Arcatraz"]..")";
	};

	TKTheEye = {
		BabbleBoss["Void Reaver"].." ("..BabbleZone["The Eye"]..")";
		BabbleBoss["Kael'thas Sunstrider"].." ("..BabbleZone["The Eye"]..")";
	};
};
end
